Bug 814018 - Liferea improperly copies URLs with spaces
Liferea improperly copies URLs with spaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 22:49 EDT by Ignacio Vazquez-Abrams
Modified: 2013-06-16 01:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: liferea-1.8.14-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 01:27:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2012-04-18 22:49:43 EDT
Description of problem:
When copying a URL from a feed entry, Liferea replaces "%20" with "+".

Version-Release number of selected component (if applicable):
liferea-1.8.0-1.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Find a feed entry with a URL that contains a space
2. Copy the URL
3. Paste elsewhere
  
Actual results:
Spaces are replaced with "+"

Expected results:
Spaces should remain "%20"

Additional info:
Comment 1 Yanko Kaneti 2012-04-19 03:56:25 EDT
I can confirm in 1.8.5 but it seems upstreams intentional behavior.

http://liferea.git.sourceforge.net/git/gitweb.cgi?p=liferea/liferea;a=blob;f=src/common.c;hb=HEAD#l124

This bug is probably not the place to have a '+' vs '%20' debate.

> Find a feed entry with a URL that contains a space

Just 1 of ~40000 items in my db had spaces in it. From an cached no-longer-online entry. Some working examples would be nice.
Comment 2 Emmanuel Seyman 2012-11-04 08:33:36 EST
Reported upstream as https://sourceforge.net/tracker/?func=detail&aid=3583289&group_id=87005&atid=581684
Comment 3 Fedora End Of Life 2013-01-16 12:35:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Yanko Kaneti 2013-01-16 13:44:58 EST
Moving to 18
Comment 5 Fedora Update System 2013-06-05 18:12:48 EDT
liferea-1.8.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liferea-1.8.14-1.fc18
Comment 6 Fedora Update System 2013-06-05 18:13:00 EDT
liferea-1.8.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/liferea-1.8.14-1.fc17
Comment 7 Fedora Update System 2013-06-06 22:58:44 EDT
Package liferea-1.8.14-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liferea-1.8.14-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10224/liferea-1.8.14-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-16 01:27:52 EDT
liferea-1.8.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-16 01:34:45 EDT
liferea-1.8.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.